Subject: Re: bug#29918: 26.0.90; serial-term error in process filter

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 21 Jul 2019 16:45:33 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Monnier <[email-masked]>
>> Cc: Noam Postavsky <[email-masked]>,  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Sun, 21 Jul 2019 09:49:02 -0400
>> 
>> > I don't understand why limit, if we assume that no program will write
>> > UTF-8 encoded sequences byte-byte.
>> 
>> I don't think we can assume that, in general.
>
> What would be a situation where it is false?

Isn't sending bytes one-by-one a pretty common thing for (primitive)
programs to do?  I'd assume so, especially for serial communication
programs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no